import type { PermissionObject } from "@/types/permissionTypes";

export interface WebapiViewModel {
  id: number;
  permissions: PermissionObject;
  title: string;
  createdAt: Date;
  lastUsage?: Date;
  expiry?: Date;
}

export interface CreateWebapiViewModel {
  title: string;
  token: string;
  expiry?: Date;
}

export interface UpdateWebapiViewModel {
  id: number;
  title: string;
  expiry?: Date;
}

export interface DeleteWebapiViewModel {
  id: number;
}
